<?php

namespace Tricks\LaravelSitemapForDynamicPages;

use Spatie\LaravelPackageTools\Package;
use Spatie\LaravelPackageTools\PackageServiceProvider;
use Tricks\LaravelSitemapForDynamicPages\Commands\LaravelSitemapForDynamicPagesCommand;

class LaravelSitemapForDynamicPagesServiceProvider extends PackageServiceProvider
{
    public function configurePackage(Package $package): void
    {
        $package
            ->name('laravel-sitemap-for-dynamic-pages')
            ->hasConfigFile()
            ->hasViews('laravel-sitemap-for-dynamic-pages')
            ->hasRoutes('web')
            ->hasCommand(LaravelSitemapForDynamicPagesCommand::class);
    }
}
